Author Topic: vlax-invoke  (Read 2424 times)

0 Members and 1 Guest are viewing this topic.

velasquez

  • Newt
  • Posts: 195
vlax-invoke
« on: November 30, 2013, 07:37:02 AM »
Hi
Can anyone explain me the difference between working with:

Code: [Select]
(setq JoyObj (vlax-invoke
                 (JoyGetActiveSpace)
                 'addline
                 p1
                 p2
               ) ;_ fim de vlax-invoke
  )

OR

Code: [Select]
(setq JoyObj (vla-addLine
               (JoyGetActiveSpace)
               (vlax-3D-Point p1)
               (vlax-3D-Point p2)
             ) ;_ fim de vla-addLine
) ;_ fim de setq

And when one method is better than the other?

Thanks
velasquez
« Last Edit: November 30, 2013, 03:54:55 PM by CAB »

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: vlax-invoke
« Reply #1 on: November 30, 2013, 08:16:54 AM »
I don't think one is better than the other but others with deeper knowledge may comment.
Here is a very good general explanation.

;;=-=-=-=-=--=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
;;  How to use vla by Lee Mac
;;=-=-=-=-=--=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
http://www.cadtutor.net/forum/showthread.php?81195&p=551261&viewfull=1#post551261
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

Lee Mac

  • Seagull
  • Posts: 12914
  • London, England
Re: vlax-invoke
« Reply #2 on: November 30, 2013, 08:24:11 AM »
Thanks for the recommendation Alan  :-)

Concerning the differences in the structure/operation of the functions, here is a good explanation by sinc.

velasquez

  • Newt
  • Posts: 195
Re: vlax-invoke
« Reply #3 on: November 30, 2013, 12:29:54 PM »
The answers were very good.
Sorry if I posted in the wrong way.

thanks
velasquez

Lee Mac

  • Seagull
  • Posts: 12914
  • London, England
Re: vlax-invoke
« Reply #4 on: November 30, 2013, 12:38:53 PM »
The answers were very good.

You're welcome!  :-)

Sorry if I posted in the wrong way.

No worries - but for future reference: when posting a new thread to the forum, use the 'New Topic' button:



Also, please read this regarding formatting code in your posts.

Lee